/* Katy Perdue
   created on or before May 22, 2003 */


scale('C', '_', ['C', 'D', 'E', 'F', 'G', 'A', 'B']).
scale('D', '_', ['D', 'E', 'F_sharp', 'G', 'A', 'B', 'C_sharp']).
scale('E', '_', ['E', 'F_sharp', 'G_sharp', 'A', 'B', 'C_sharp', 'D_sharp']).
scale('F', '_', ['F', 'G', 'A', 'B_flat', 'C', 'D', 'E']).
scale('G', '_', ['G', 'A', 'B', 'C', 'D', 'E', 'F_sharp']).
scale('A', '_', ['A', 'B', 'C_sharp', 'D', 'E', 'F_sharp', 'G_sharp']).
scale('B', '_', ['B', 'C_sharp', 'D_sharp', 'E', 'F_sharp', 'G_sharp', 'A_sharp']).


scale('D',' flat', ['D_flat', 'E_flat', 'F', 'G_flat', 'A_flat', 'B_flat', 'C']).
scale('E',' flat', ['E_flat', 'F', 'G', 'A_flat', 'B_flat', 'C', 'D']).
scale('G',' flat', ['G_flat', 'A_flat', 'B_flat', 'C_flat', 'D_flat', 'E_flat', 'F']).
scale('A',' flat', ['A_flat', 'B_flat', 'C', 'D_flat', 'E_flat', 'F', 'G']).
scale('B',' flat',['B_flat', 'C', 'D', 'E_flat', 'F', 'G', 'A']).

scale('C',' sharp', ['C_sharp', 'D_sharp', 'E_sharp', 'F_sharp', 'G_sharp', 'A_sharp', 'B_sharp']).
scale('D',' sharp', ['D_sharp', 'F', 'G', 'A_flat', 'B_flat', 'C', 'D']).
scale('F',' sharp', ['G_flat', 'A_flat', 'B_flat', 'C_flat', 'D_flat', 'E_flat', 'F']).
scale('G',' sharp', ['A_flat', 'B_flat', 'C', 'D_flat', 'E_flat', 'F', 'G']).
scale('A',' sharp',['B_flat', 'C', 'D', 'E_flat', 'F', 'G', 'A']).


/* These scales I think are unnecessary...
scale(cJazzMin, (['C', 'D', 'E_flat', 'F', 'G', 'A', 'B'])).
scale(dFlatJazzMin, ['D_flat', 'E_flat', 'E', 'G_flat', 'A_flat', 'B_flat', 'C']).
scale(dJazzMin, ['D', 'E', 'F', 'G', 'A', 'B', 'C_sharp']).
scale(eFlatJazzMin, ['E_flat', 'F', 'G_flat', 'A_flat', 'B_flat', 'C', 'D']).
scale(eJazzMin, ['E', 'F_sharp', 'G', 'A', 'B', 'C_sharp', 'D_sharp']).
scale(fJazzMin, (['F', 'G', 'A_flat', 'B_flat', 'C', 'D', 'E'])).
scale(gFlatJazzMin, ['G_flat', 'A_flat', 'A', 'C_flat', 'D_flat', 'E_flat', 'F']).
scale(gJazzMin, ['G', 'A', 'B_flat', 'C', 'D', 'E', 'F_sharp']).
scale(aFlatJazzMin, ['A_flat', 'B_flat', 'C_flat', 'D_flat', 'E_flat', 'F', 'G']).
scale(aJazzMin, ['A', 'B', 'C', 'D', 'E', 'F_sharp', 'G_sharp']).
scale(bFlatJazzMin,['B_flat', 'C', 'D_flat', 'E_flat', 'F', 'G', 'A']).
scale(bJazzMin, ['B', 'C_sharp', 'D', 'E', 'F_sharp', 'G_sharp', 'A_sharp']).


scale(cMaj, (['C', 'D', 'E', 'F', 'G', 'A', 'B'])).
scale(dFlatMaj, ['D_flat', 'E_flat', 'F', 'G_flat', 'A_flat', 'B_flat', 'C']).
scale(dMaj, ['D', 'E', 'F_sharp', 'G', 'A', 'B', 'C_sharp']).
scale(eFlatMaj, ['E_flat', 'F', 'G', 'A_flat', 'B_flat', 'C', 'D']).
scale(eMaj, ['E', 'F_sharp', 'G_sharp', 'A', 'B', 'C_sharp', 'D_sharp']).
scale(fMaj, (['F', 'G', 'A', 'B_flat', 'C', 'D', 'E'])).
scale(gFlatMaj, ['G_flat', 'A_flat', 'B_flat', 'C_flat', 'D_flat', 'E_flat', 'F']).
scale(gMaj, ['G', 'A', 'B', 'C', 'D', 'E', 'F_sharp']).
scale(aFlatMaj, ['A_flat', 'B_flat', 'C', 'D_flat', 'E_flat', 'F', 'G']).
scale(aMaj, ['A', 'B', 'C_sharp', 'D', 'E', 'F_sharp', 'G_sharp']).
scale(bFlatMaj,['B_flat', 'C', 'D', 'E_flat', 'F', 'G', 'A']).
scale(bMaj, ['B', 'C_sharp', 'D_sharp', 'E', 'F_sharp', 'G_sharp', 'A_sharp']).

scale(cHarmMin, (['C', 'D', 'E_flat', 'F', 'G', 'A_flat', 'B'])).
scale(cSharpHarmMin, ['C_sharp', 'D_sharp', 'E', 'F_sharp', 'G_sharp', 'A', 'B_sharp']).
scale(dHarmMin, ['D', 'E', 'F', 'G', 'A', 'B_flat', 'C_sharp']).
scale(eFlatHarmMin, ['E_flat', 'F', 'G_flat', 'A_flat', 'B_flat', 'C_flat', 'D']).
scale(eHarmMin, ['E', 'F_sharp', 'G', 'A', 'B', 'C', 'D_sharp', 'E']).
scale(fHarmMin, (['F', 'G', 'A_flat', 'B_flat', 'C', 'D_flat', 'E'])).
scale(fSharpHarmMin, ['F_sharp', 'G_sharp', 'A', 'B', 'C_sharp', 'D', 'E_sharp']).
scale(gHarmMin, ['G', 'A', 'B_flat', 'C', 'D', 'E_flat', 'F_sharp']).
scale(aFlatHarmMin, ['A_flat', 'B_flat', 'C_flat', 'D_flat', 'E_flat', 'F_flat', 'G']).
scale(aHarmMin, ['A', 'B', 'C', 'D', 'E', 'F', 'G_sharp']).
scale(bFlatHarmMin,['B_flat', 'C', 'D_flat', 'E_flat', 'F', 'G_flat', 'A']).
scale(bHarmMin, ['B', 'C_sharp', 'D', 'E', 'F_sharp', 'G', 'A_sharp']).

scale(cPent, ['C', 'D', 'E', 'G', 'A']).*/
