/* Katy Perdue
   Created on or before June 2, 2003 */

:-ensure_loaded(scales).
:-ensure_loaded(equals).

startScale(ScaleName, Note):-
    scale(ScaleName, ScaleNotes), 
    startSc(ScaleNotes, Note), !.

startSc([Note|Rest], Note):-
   /* append(Note,Rest, Scale),*/
    write([Note|Rest]), !.

startSc([First|Rest], Note):-
    member(Note, [First|Rest]),
    append(Rest, [First], X),
    startSc(X, Note), !.

/* The classic member function.*/
member(X, [Z|_]):- equals(X,Z).
member(X, [_|R]) :- member(X, R).



/*
startScale(ScaleName, Note):-
    roman(ScaleName, Note, 'II'),
    scale(ScaleName, [Root, Second, Third, Forth, Fifth, Sixth, Seventh]),
    write([Second, Third, Forth, Fifth, Sixth, Seventh, Root]).

startScale(ScaleName, Note):-
    roman(ScaleName, Note, 'III'),
    scale(ScaleName, [Root, Second, Third, Forth, Fifth, Sixth, Seventh]),
    write([Third, Forth, Fifth, Sixth, Seventh, Root, Second]).

startScale(ScaleName, Note):-
    roman(ScaleName, Note, 'IV'),
    scale(ScaleName, [Root, Second, Third, Forth, Fifth, Sixth, Seventh]),
    write([Forth, Fifth, Sixth, Seventh, Root, Second, Third]).

startScale(ScaleName, Note):-
    roman(ScaleName, Note, 'V'),
    scale(ScaleName, [Root, Second, Third, Forth, Fifth, Sixth, Seventh]),
    write([Fifth, Sixth, Seventh, Root, Second, Third, Forth]).

startScale(ScaleName, Note):-
    roman(ScaleName, Note, 'VI'),
    scale(ScaleName, [Root, Second, Third, Forth, Fifth, Sixth, Seventh]),
    write([Sixth, Seventh, Root, Second, Third, Forth, Fifth]).

startScale(ScaleName, Note):-
    roman(ScaleName, Note, 'VII'),
    scale(ScaleName, [Root, Second, Third, Forth, Fifth, Sixth, Seventh]),
    write([Seventh, Root, Second, Third, Forth, Fifth, Sixth]).
*/
